package config

import (
	"strings"
)

var base = []string{
	"min/views/baseof.html",
	"min/views/_partials/head.html",
	"min/views/_partials/header.html",
	"min/views/_partials/footer.html",
}

var ViewMap = map[string][]string{
	"login-page": append(
		base,
		"min/views/login.html",
		"min/views/login-page.html",
	),

	"index-page": append(
		base,
		"min/views/index.html",
		"min/views/index-page.html",
	),
}

var ViewFormatters = map[string]any{
	"uppercase": func(s string) string { return strings.ToUpper(s) },
	"firstWord": func(s string) string {
		words := strings.Fields(s)
		if len(words) > 0 {
			return words[0]
		}
		return ""
	},
}
